Bug 1051335 - [GSS] (6.2.x) Module "org.jboss.log4j.logmanager" Needs Dependency On "javax.mail.api" Module
Summary: [GSS] (6.2.x) Module "org.jboss.log4j.logmanager" Needs Dependency On "javax....
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Class Loading
Version: 6.0.1
Hardware: All
OS: All
medium
low
Target Milestone: CR1
: EAP 6.2.1
Assignee: Mustafa Musaji
QA Contact:
URL:
Whiteboard:
Depends On: 971076
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-10 05:21 UTC by Brad Maxwell
Modified: 2018-12-05 16:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was determined that, while it was not explicitly stated in it's module.xml file, the log4j.logmanager module had an implicit dependency on the javax.mail.api module. This would cause ClassNotFoundExceptions to be thrown if an application that used an appender which required java mail was deployed. An optional dependency is now specified in the module. The exceptions no longer present.
Clone Of: 971076
Environment:
Last Closed: 2014-02-24 20:14:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1300 Minor Closed org.jboss.log4j.logmanager module needs a dependency on javax.mail.api 2018-02-27 05:39:16 UTC

Comment 2 Scott Mumford 2014-01-17 04:36:56 UTC
Added draft release note text to Docs Text field above.

Comment 3 Scott Mumford 2014-01-22 00:16:18 UTC
Redrafted release note after update from Jimmy Wilson

Comment 4 Jitka Kozana 2014-01-27 14:46:44 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.